Name:           thewidgetfactory
Version:        0.2.1
Release:        2%{?dist}
Summary:        A tool for previewing GTK widgets

Group:          Development/Tools
License:        GPL 
URL:            http://www.stellingwerff.com/?page_id=10 
Source0:        http://www.stellingwerff.com/TheWidgetFactory/%{name}-%{version}.tar.gz
Source1:        thewidgetfactory.desktop 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, desktop-file-utils

%description
The Widget Factory is a program designed to show a wide range of widgets
on a single window.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README COPYING
%{_bindir}/twf
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Sat Oct 21 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> 0.2.1-2
 - Fixed permission on bin directory
 - Added desktop-file-utils for menu
* Fri Oct 20 2006 Luya Tshimbalanga <luya_tfz@thefinalzone.com> 0.2.1-1
 - Initial creation 
